#include "std.mi"
#include "pldir.mi"

Function setTempText(String txt);
Function emptyTempText();

Global Text Songticker;
Global Slider Volbar, Seeker;
Global Int Seeking;

Class GuiObject HintObject;

Global HintObject Play, Stop, Previous, Next, Pause, minimize, winshade, exit, at;

System.onScriptLoaded() {

	Group pgroup = System.getScriptGroup();

	Songticker = pgroup.getObject("songticker");
	Volbar = pgroup.getObject("volume");
	Seeker = pgroup.getObject("seeker");

	Play = pgroup.getObject("Play");
	Pause = pgroup.getObject("Pause");
	Stop = pgroup.getObject("Stop");
	Next = pgroup.getObject("Next");
	Previous = pgroup.getObject("Previous");
	minimize = pgroup.getObject("minimize");
	winshade = pgroup.getObject("winshade");
	exit = pgroup.getObject("close");
	at = pgroup.getObject("OnTOP");
}

Songticker.onLeftButtonDblClk(int x, int y) {
	PlDir.showCurrentlyPlayingEntry();
}

Volbar.onSetPosition(int p) {
	Float f;
	f = p;
	f = f / 255 * 100;
	setTempText("Volume: " + System.integerToString(f) + "%");
}

Volbar.onSetFinalPosition(int p) {
	Songticker.setAlternateText("");
}

Seeker.onSetPosition(int p) {
	if (seeking) {
		Float f;
		f = p;
		f = f / 255 * 100;
		Float len = getPlayItemLength();
		if (len != 0) {
			int np = len * f / 100;
			setTempText("Seek to " + integerToTime(np) + " / " + integerToTime(len) + " (" + integerToString(f) + "%)");
    		}
	}
}

Seeker.onLeftButtonDown(int x, int y) {
	seeking = 1;
}

Seeker.onLeftButtonUp(int x, int y) {
	seeking = 0;
	setTempText("");
}

Seeker.onSetFinalPosition(int p) {
	Songticker.setAlternateText("");
}

HintObject.onLeftButtonDown(int x, int y) {
	if (HintObject == Play) setTempText("Play");
	else if (HintObject == Stop) setTempText("Stop");
	else if (HintObject == Pause) setTempText("Pause");
	else if (HintObject == Next) setTempText("Next");
	else if (HintObject == Previous) setTempText("Previous");
	else if (HintObject == minimize) setTempText("Minimize Winamp");
	else if (HintObject == winshade) setTempText("Switch Window Shading mode");
	else if (HintObject == exit) setTempText("Exit Winamp");
	else if (HintObject == at) setTempText("Toggle Always On Top");
}

HintObject.onLeftButtonUp(int x, int y) {
	emptyTempText();
}

setTempText(String txt) {
	Songticker.setAlternateText(txt);
}

emptyTempText() {
	Songticker.setAlternateText("");
}